
TYPO3.Flow - Bug # 48887

Status: Resolved Priority: Must have
Author: Christopher Hlubek Category: MVC - Routing
Created: 2013-06-05 Assigned To: Bastian Waidelich
Updated: 2015-04-26 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git 2.0
Subject: Support numeric identifiers in IdentityRoutePart
Description

In \TYPO3\Flow\Mvc\Routing\ObjectPathMappingRepository::findOneByObjectTypeUriPatternAndIdentifier the identifier of an object is
checked to be exactly of type string. This should be changed to check for simple types that can be coerced to a string. Basically we
need to support numeric values additionally to strings here.

Related issues:
related to TYPO3.Flow - Bug # 58517: Integer arent allowed as object identifi... Resolved 2014-05-05

Associated revisions
Revision 4e698ac3 - 2015-02-18 17:25 - Bastian Waidelich

[BUGFIX] Support numeric identifiers in dynamic route parts

Currently the dynamic route part handler provided by Flow (namely
``DynamicRoutePart`` and ``IdentityRoutePart``) only support objects
with string identifiers.

With this change also numeric identifiers are supported, for example
for entities with a numeric auto_increment identifier.

Change-Id: I57da5820c38d08494937f011439c00b0fd6851a7
Fixes: #48887
Fixes: #58517
Releases: master, 2.3, 2.2

Revision f5bb0553 - 2015-02-18 17:26 - Bastian Waidelich

[BUGFIX] Support numeric identifiers in dynamic route parts

Currently the dynamic route part handler provided by Flow (namely
``DynamicRoutePart`` and ``IdentityRoutePart``) only support objects
with string identifiers.

With this change also numeric identifiers are supported, for example
for entities with a numeric auto_increment identifier.

Change-Id: I57da5820c38d08494937f011439c00b0fd6851a7
Fixes: #48887
Fixes: #58517
Releases: master, 2.3, 2.2

Revision 8687bfb8 - 2015-04-26 18:57 - Bastian Waidelich

[BUGFIX] Support numeric identifiers in dynamic route parts

Currently the dynamic route part handler provided by Flow (namely
``DynamicRoutePart`` and ``IdentityRoutePart``) only support objects
with string identifiers.

With this change also numeric identifiers are supported, for example
for entities with a numeric auto_increment identifier.

Change-Id: I57da5820c38d08494937f011439c00b0fd6851a7
Fixes: #48887
Fixes: #58517
Releases: master, 2.3, 2.2

History
#1 - 2013-06-05 16:07 - Bastian Waidelich

FYI: I'm currently tweaking the IdentityRoutePart handler to support following "features":

    -  Respect "toLowerCase" flag (#44521)
    -  Disable lookup table (for unique properties like Id or UUID)
    -  Proper transliteration (using I18N package)

But it probably won't make it into 2.0 any longer

#2 - 2014-05-14 18:08 - Bastian Waidelich
- Status changed from New to Accepted
- Assigned To changed from Christopher Hlubek to Bastian Waidelich

I lost track of this one.. But I'm on it now

#3 - 2014-05-14 18:23 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/30116

#4 - 2014-05-16 11:58 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/30116
#5 - 2015-02-18 17:26 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at http://review.typo3.org/30116

#6 - 2015-02-18 17:26 - Gerrit Code Review

Patch set 1 for branch 2.3 of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at http://review.typo3.org/36997

#7 - 2015-02-18 17:27 - Gerrit Code Review

Patch set 1 for branch 2.2 of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at http://review.typo3.org/36998

#8 - 2015-02-18 17:30 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:4e698ac3d86195f87863a2d17759871b4b9990f2.

#9 - 2015-04-08 12:34 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 2 for branch 2.2 of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at http://review.typo3.org/36998

#10 - 2015-04-26 18:57 - Gerrit Code Review

Patch set 3 for branch 2.2 of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at http://review.typo3.org/36998

#11 - 2015-04-26 19:30 - Bastian Waidelich
- Status changed from Under Review to Resolved

Applied in changeset commit:8687bfb8c34fe4a50febff3f968152decd98aaa3.
